Jump to content

Question

Posted (edited)

This program will patch your uxtheme.dll file so you can use any 3rd party visual style on Windows XP/SP1/SP2 and Windows Server 2003/SP1. File protection dialogs should be cancelled and a reboot is required after using this patch.

Patched Windows XP and Windows Server 2003 systems with this program can be unpatched by running this program again.


What's new in version 4.0

-Added 64-bit support (not 100% work)
-Added few delay (about 2.5 seconds) in some tasks to make it done before doing next task (which I assume it solve some issues)
-Added Windows Server 2003 SP1 support
-Added stopping Themes service during patching for more success chance Edited by Frank
1 person likes this

Share this post


Link to post
Share on other sites

256 answers to this question

  • 0

Posted

Question: Why add...
-Added 64-bit support (not 100% work) if it doesn't work?

Share this post


Link to post
Share on other sites
  • 0

Posted

some reported that work.

Share this post


Link to post
Share on other sites
  • 0

Posted

[quote name='Jaded1' date='Apr 15 2005, 07:40']Question: Why add...
-Added 64-bit support (not 100% work) if it doesn't work?
[right][snapback]585778086[/snapback][/right]
[/quote]
Indeed. Just stick to manually patching your file as it has a better outcome rate, [url="http://www.neowin.net/forum/index.php?showtopic=182900"]http://www.neowin.net/forum/index.php?showtopic=182900[/url]

The amount of problems I've heard people having with your patch is ridicolous and why go and take Rafael's patched files and make an installer that doesn't work?

Windows X, come back onto IRC btw, so lovely to see you in "that" channel :whistle:

Share this post


Link to post
Share on other sites
  • 0

Posted

i updated the sticky. it points to this thread.

Share this post


Link to post
Share on other sites
  • 0

Posted

after patching this, it has error of xpbar.dll with internet explorer whenever i open it.

Share this post


Link to post
Share on other sites
  • 0

Posted

Works fine with me. Thanks. :D

Share this post


Link to post
Share on other sites
  • 0

Posted

i have the latest windows updates. after patching with this version 4, my internet explorer can't seem to open. it has the error msg of ModName: xpbar.dll. but whenever i revert back to the original uxtheme.dll it works. anyone has any idea how to solve it?

Share this post


Link to post
Share on other sites
  • 0

Posted

i installed it and it said it found windows nt files, im running windows xp. can someone help me with this?

Share this post


Link to post
Share on other sites
  • 0

Posted

[quote name='didymus' date='Apr 16 2005, 21:18']i have the latest windows updates. after patching with this version 4, my internet explorer can't seem to open. it has the error msg of ModName: xpbar.dll. but whenever i revert back to the original uxtheme.dll it works. anyone has any idea how to solve it?
[right][snapback]585786091[/snapback][/right]
[/quote]
what happens if you patch manually?

[quote name='sabretoooth' date='Apr 23 2005, 08:45']i installed it and it said it found windows nt files, im running windows xp. can someone help me with this?
[right][snapback]585817488[/snapback][/right]
[/quote]
do it manually: [url="http://www.neowin.net/forum/index.php?showtopic=182900"]http://www.neowin.net/forum/index.php?showtopic=182900[/url]

Share this post


Link to post
Share on other sites
  • 0

Posted

didymus , I guess you've caught by soem spyware or adware that add ie toolbar or something.
sabretoooth, check the path that program reported. It has setup files which could make patch fails. To fix it, rename that folder and run patch again.

Share this post


Link to post
Share on other sites
  • 0

Posted

thanks man

Share this post


Link to post
Share on other sites
  • 0

Posted

thank you :)

Share this post


Link to post
Share on other sites
  • 0

Posted

i really need help guys!

after installing neowin 4.0 patch, it toally screwed up my visual styles

now all the text and background on my screen is black except for browing online.

even going into safe mode wont work!

i want to change it through the control panel but i can't even do that becuz i cant see what's in it...

if i could somehow get the 2.5.1 patch which didn't have this problem i think i could fix it, but the patch is not on the site!

:cry: :cry: :cry:

awww please help me

Share this post


Link to post
Share on other sites
  • 0

Posted

well things makes a turn for the worse, i have the 2.5.1 patch but i cant install it becuz i cant even see what its doing..... i just wanna friggin shoot myself ahhhhhh

Share this post


Link to post
Share on other sites
  • 0

Posted

Have you uninstalled 4.0 patch before you apply 2.5.1 patch?
1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted

well i could try to uninstall 4.0... now uh since i can't really see anything other than a black box i'm gonna have to use my instincts on what to select

since i cant see what i'm selecting, maybe somebody can write me a step by step walkthrough to uninstalling 4.0 and installing 2.5.1

basically like 1. double click on 4.0

2. dialog box pops up, select ok or cancel (tell me how many times to press tab to get to the selection), since im totally doing this blind...
1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted

sorry i'm totaly newb...But what is the most interest of this patch ?? when styleXP is install and evrythings work good... ?
1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted

Does this work on MCE 2005?
1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted

[quote name='nohooiam1' date='Apr 28 2005, 23:34']well i could try to uninstall 4.0... now uh since i can't really see anything other than a black box i'm gonna have to use my instincts on what to select

since i cant see what i'm selecting, maybe somebody can write me a step by step walkthrough to uninstalling 4.0 and installing 2.5.1

basically like 1. double click on 4.0

2. dialog box pops up, select ok or cancel (tell me how many times to press tab to get to the selection), since im totally doing this blind...
[right][snapback]585845779[/snapback][/right]
[/quote]
do it manually this time: [url="http://www.neowin.net/forum/index.php?showtopic=312381"]http://www.neowin.net/forum/index.php?showtopic=312381[/url]

use replacer. you should be able to see those.

also tell us what version (xp, uxtheme.dll, etc.) you're using.

[quote name='SpongeBob08' date='Apr 29 2005, 03:42']sorry i'm totaly newb...But what is the most interest of this patch ?? when styleXP is install and evrythings work good... ?
[right][snapback]585846257[/snapback][/right]
[/quote]
because the uxtheme hack:
-is simpler
-doesn't waste resources (stylexp has to patch in memory, so wastes resources)
-is completely free.

why should i spend money on something when i can get something better for free? that's my opinion.

Share this post


Link to post
Share on other sites
  • 0

Posted

Whenever I open [url="http://www.extended64.com/blogs/rafael/repository/Patches/Uxtheme/"]http://www.extended64.com/blogs/rafael/rep...atches/Uxtheme/[/url]

It gives me error (Page cannot be found)

And neowin patcher screwed my system.... Any other good patcher around?

Share this post


Link to post
Share on other sites
  • 0

Posted

here: [url="http://www.neowin.net/forum/index.php?showtopic=315315"]http://www.neowin.net/forum/index.php?showtopic=315315[/url]

Share this post


Link to post
Share on other sites
  • 0

Posted

did anybody test this on 2003SP1 ?
before SP1 everything worked but now i can't apply my hmmXP anymore.

i removed any SP1 update cache files. there's no other uxtheme.dll on my harddisk but the patched one in system directory and in dllcache directory and i have no windows cd in my drive.

Share this post


Link to post
Share on other sites
  • 0

Posted

Hi,

I just downloaded this and *tried* to install it, however it says that I have NT files in my c:/windows/ folder and tells me to remove my NT disc.

However I know that I am running Windows XP SP2.

What should I do?

thanks,
pzgamer825

Share this post


Link to post
Share on other sites
  • 0

Posted

Awesome, thanks

Share this post


Link to post
Share on other sites
  • 0

Posted

I still can't believe how many people use this tool when all you get are the strangest errors....
In the end manually replacing the file uses a lot less effort then trying to figure out why the patcher screwed up your system....

NC

Share this post


Link to post
Share on other sites
This topic is now closed to further replies.
Sign in to follow this  
Followers 0

  • Recently Browsing   0 members

    No registered users viewing this page.